class Entry(object):

	def __init__(self, germinal):
		entry = germinal.preferences_gui.get_object("ShellEntry")
		germinal.connect_after("show-preferences", self.__show_cb, entry)
		germinal.connect_after("hide-preferences", self.__hide_cb, entry)

	def __show_cb(self, germinal, entry):
		from ...Settings.RunCustomShell import get_value
		if get_value() == "bash": return False
		entry.set_text(get_value())
		return False

	def __hide_cb(self, germinal, entry):
		from ...Settings.RunCustomShell import get_value, set_value
		current_shell = get_value()
		custom_shell = entry.get_text().strip()
		if not custom_shell or custom_shell == current_shell: return False
		set_value(custom_shell)
		return False
