class Updater(object):

	def __init__(self, germinal):
		germinal.connect("settings-updated", self.__updated_cb)
		from gobject import idle_add
		idle_add(self.__update, germinal)

	def __update(self, germinal):
		from ...Settings.Font import get_value
		font = get_value()
		if not font: return False
		germinal.terminal.set_font_from_string(font)
		return False

	def __updated_cb(self, germinal, *args):
		from gobject import idle_add
		idle_add(self.__update, germinal)
		return False
