from gtk import events_pending, main_iteration

class Handler(object):

	def __init__(self, germinal):
		terminal = germinal.terminal
		terminal.connect("contents-changed", self.__response_cb)
		terminal.connect_after("contents-changed", self.__response_cb)
		terminal.connect("cursor-moved", self.__response_cb)
		terminal.connect_after("cursor-moved", self.__response_cb)

	def __response_cb(self, terminal, *args):
		try:
			while events_pending(): main_iteration(False)
			terminal.window.process_updates(True)
			while events_pending(): main_iteration(False)
		except AttributeError:
			while events_pending(): main_iteration(False)
		return False
