class Handler(object):

	def __init__(self, germinal):
		terminal = germinal.terminal
		terminal.connect("deiconify-window", self.__deiconify_cb, germinal)
		terminal.connect("iconify-window", self.__iconify_cb, germinal)
		terminal.connect("lower-window", self.__lower_cb, germinal)
		terminal.connect("maximize-window", self.__maximize_cb, germinal)
		terminal.connect("move-window", self.__move_cb, germinal)
		terminal.connect("raise-window", self.__raise_cb, germinal)
		terminal.connect("resize-window", self.__resize_cb, germinal)

	def __deiconify_cb(self, terminal, germinal):
		germinal.response()
		print "Deiconify signal handled"
		return False

	def __iconify_cb(self, terminal, germinal):
		germinal.response()
		print "Iconify signal handled"
		return False

	def __lower_cb(self, terminal, germinal):
		germinal.response()
		print "Lower signal handled"
		return False

	def __maximize_cb(self, terminal, germinal):
		germinal.response()
		print "Maximize signal handled"
		return False

	def __move_cb(self, terminal, x, y, germinal):
		germinal.response()
		print "Moved: ", (x, y)
		return False

	def __raise_cb(self, terminal, germinal):
		germinal.response()
		print "Raise signal handled"
		return False

	def __resize_cb(self, terminal, width, height, germinal):
		germinal.response()
		print "Resized window: ", (width, height)
		return False
