class Updater(object):

	def __init__(self, germinal):
		germinal.window.connect("window-state-event", self.__event_cb, germinal)

	def __update(self, event, germinal):
		from gtk.gdk import WINDOW_STATE_FULLSCREEN, WINDOW_STATE_MAXIMIZED
		if event.new_window_state & WINDOW_STATE_FULLSCREEN: state = "fullscreen"
		elif event.new_window_state & WINDOW_STATE_MAXIMIZED: state = "maximize"
		else: state = "unmaximize"
		germinal.set_data("WindowState", state)
		return False

	def __event_cb(self, window, event, germinal):
		self.__update(event, germinal)
		return False
