def main():
	__fork_germinal()
	__launch()
	from gtk import main
	main()
	return

def __launch():
	__dbus_launch()
	from gobject import threads_init
	threads_init()
	from Utils import init_gnome
	init_gnome()
	from InstanceManager import Manager
	Manager()
	return

def __dbus_launch():
	dbus_service = __get_dbus_service()
	if not dbus_service: return
	dbus_service.show()
	raise SystemExit

def __get_dbus_service():
	from Globals import DBUS_IFACE, SESSION_BUS, GERMINAL_DBUS_SERVICE, GERMINAL_DBUS_PATH
	services = DBUS_IFACE.ListNames()
	if not (GERMINAL_DBUS_SERVICE in services): return None
	proxy_object = SESSION_BUS.get_object(GERMINAL_DBUS_SERVICE, GERMINAL_DBUS_PATH)
	return proxy_object

def __fork_germinal():
	from Utils import fork_process
	fork_process()
	return
