from ..Utils import open_storage
STORAGE_FILE = "Font.dict"
KEY = "font"

def get_value():
	try:
		value = __get_default_font()
		storage = open_storage(STORAGE_FILE)
		value = storage[KEY]
	except:
		pass
	return value

def set_value(value):
	storage = open_storage(STORAGE_FILE)
	storage[KEY] = value
	return

def __get_default_font():
	try:
		font = ""
		gconf_font_location = "/desktop/gnome/interface/monospace_font_name"
		from gconf import client_get_default
		client = client_get_default()
		font = client.get_string(gconf_font_location)
		if font is None: font = ""
	except Exception:
		pass
	return font
