class Displayer(object):

	def __init__(self, germinal):
		about = germinal.about_gui.get_object("Window")
		germinal.connect("about", self.__show_cb, about)
		about.connect("close", self.__hide_cb)
		about.connect("response", self.__hide_cb)
		about.connect("delete-event", self.__hide_cb)
		about.connect("key-press-event", self.__event_cb)

	def __show(self, about):
		about.show_all()
		return False

	def __hide(self, about):
		about.hide()
		return False

	def __show_cb(self, germinal, about):
		from gobject import idle_add
		idle_add(self.__show, about)
		return False

	def __hide_cb(self, about, *args):
		from gobject import idle_add
		idle_add(self.__hide, about)
		return False

	def __event_cb(self, about, event):
		from gtk.keysyms import Escape
		if event.keyval != Escape: return False
		self.__hide_cb(about)
		return True
