class Button(object):

	def __init__(self, germinal):
		button = germinal.preferences_gui.get_object("FontButton")
		germinal.connect_after("show-preferences", self.__show_cb, button)
		self.__sigid1 = button.connect_after("font-set", self.__set_cb, germinal)

	def __update(self, germinal, button):
		font = button.get_font_name()
		from ...Settings.Font import set_value
		set_value(font)
		from gobject import idle_add
		idle_add(germinal.emit, "settings-updated")
		return False

	def __set(self, germinal, button):
		from ...Settings.Font import get_value
		font = get_value()
		if not font: return False
		button.handler_block(self.__sigid1)
		button.set_font_name(font)
		button.handler_unblock(self.__sigid1)
		return False

	def __show_cb(self, germinal, button):
		from gobject import idle_add
		idle_add(self.__set, germinal, button)
		return False

	def __set_cb(self, button, germinal):
		from gobject import idle_add
		idle_add(self.__update, germinal, button)
		return False
