class Handler(object):

	def __init__(self, germinal):
		germinal.connect("fullscreen", self.__fullscreen_cb)

	def __toggle(self, germinal):
		is_fullscreen = germinal.window_state == "fullscreen"
		germinal.window.unfullscreen() if is_fullscreen else germinal.window.fullscreen()
		return False

	def __fullscreen_cb(self, germinal, *args):
		from gobject import idle_add
		idle_add(self.__toggle, germinal)
		return False
