class Positioner(object):

	def __init__(self, germinal):
		germinal.connect("ready", self.__ready_cb)

	def __position(self, germinal):
		from ...Settings.WindowPosition import get_value
		position = get_value()
		if position == "fullscreen":
			germinal.window.fullscreen()
		elif position == "maximize":
			germinal.window.maximize()
		else:
			if position:
				x, y, width, height = position
				germinal.window.resize(width, height)
				germinal.window.move(x, y)
		from gobject import idle_add
		idle_add(germinal.emit, "window-position-is-set")
		return False

	def __ready_cb(self, germinal, *args):
		self.__position(germinal)
		return False
