from gobject import GObject, TYPE_NONE, TYPE_PYOBJECT, type_register
from gobject import SIGNAL_RUN_LAST, SIGNAL_NO_RECURSE, SIGNAL_ACTION
SIGNAL = SIGNAL_RUN_LAST|SIGNAL_NO_RECURSE|SIGNAL_ACTION

class Signal(GObject):

	__gsignals__ = {
		"quit": (SIGNAL, TYPE_NONE, ()),
		"ready-to-quit": (SIGNAL, TYPE_NONE, ()),
		"ready": (SIGNAL, TYPE_NONE, ()),

		"show": (SIGNAL, TYPE_NONE, ()),
		"hide": (SIGNAL, TYPE_NONE, ()),

		"window-is-mapped": (SIGNAL, TYPE_NONE, ()),
		"window-position-is-set": (SIGNAL, TYPE_NONE, ()),

		"copy": (SIGNAL, TYPE_NONE, ()),
		"paste": (SIGNAL, TYPE_NONE, ()),

		"settings-updated": (SIGNAL, TYPE_NONE, ()),

		"fullscreen": (SIGNAL, TYPE_NONE, ()),

		"show-preferences": (SIGNAL, TYPE_NONE, ()),
		"hide-preferences": (SIGNAL, TYPE_NONE, ()),

		"show-user-guide": (SIGNAL, TYPE_NONE, ()),

		"about": (SIGNAL, TYPE_NONE, ()),
	}

	def __init__(self):
		GObject.__init__(self)

type_register(Signal)
